Update a Slot Filler - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Slot Filler
PATCH /v2.0/flows/{flowId}/slotfillers/{slotFillerId}
Try it
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '\n{\n "name": "<string>",\n "type": "age",\n "usePositiveOnly": true,\n "storeResultInContext": true,\n "contextKey": "<string>",\n "storeInContactProfile": true,\n "profileKey": "<string>",\n "storeDetailedResults": true,\n "skipIfResultInContext": true,\n "additionalValidation": "<string>",\n "resultLocation": "<string>",\n "regex": "<string>",\n "slot": "<string>"\n} '
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}"
payload = {
"name": "<string>",
"type": "age",
"usePositiveOnly": True,
"storeResultInContext": True,
"contextKey": "<string>",
"storeInContactProfile": True,
"profileKey": "<string>",
"storeDetailedResults": True,
"skipIfResultInContext": True,
"additionalValidation": "<string>",
"resultLocation": "<string>",
"regex": "<string>",
"slot": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'age',
usePositiveOnly: true,
storeResultInContext: true,
contextKey: '<string>',
storeInContactProfile: true,
profileKey: '<string>',
storeDetailedResults: true,
skipIfResultInContext: true,
additionalValidation: '<string>',
resultLocation: '<string>',
regex: '<string>',
slot: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/slotfillers/{slotFillerId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PATCH",\
CURLOPT_POSTFIELDS => json_encode([\
'name' => '<string>',\
'type' => 'age',\
'usePositiveOnly' => true,\
'storeResultInContext' => true,\
'contextKey' => '<string>',\
'storeInContactProfile' => true,\
'profileKey' => '<string>',\
'storeDetailedResults' => true,\
'skipIfResultInContext' => true,\
'additionalValidation' => '<string>',\
'resultLocation' => '<string>',\
'regex' => '<string>',\
'slot' => '<string>'\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Error Handling
The possible errors you can encounter include:
- 400 Bad Request: Validation failed. Missing payload.
- 401 Unauthorized: Invalid API Key.
- 403 Forbidden: Access denied.
- 404 Not Found: Resource not found.
- 500 Internal Server Error: An unexpected error occurred.
Authorization
- X-API-Key: string, required header. Supply the API Key in the HTTP-Header.